package com.factory.infrastructure.po.remote;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.factory.infrastructure.constant.remote.RemoteCommonConstants;
import com.factory.infrastructure.po.BaseIdPo;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("us_module")
public class Module extends BaseIdPo implements Serializable {

    private String name;

    private Integer sort;

    private String type;

    @TableField(value = "hidden")
    private Boolean hidden;

    @TableField(value = "del_flag")
    private int deleted = RemoteCommonConstants.NOT_DEL;

}
