package com.factory.user.application.service.remote;

import com.baomidou.mybatisplus.extension.service.IService;
import com.factory.infrastructure.po.remote.UserRole;

import java.util.List;

public interface UserRoleService extends IService<UserRole> {

    boolean userHasRole(Long userId, Long roleId);

    List<UserRole> getRolesByUserId(Long userId);

    List<Long> getRoleIdsByUserId(Long userId);


}
