package com.factory.user.domain.service.remote;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.factory.infrastructure.constant.res.SystemConstant;
import com.factory.infrastructure.po.remote.Dict;
import com.factory.user.application.service.remote.DictService;
import com.factory.user.domain.mapper.remote.DictMapper;
import org.springframework.stereotype.Service;

@Service
public class DictServiceImpl extends ServiceImpl<DictMapper, Dict> implements DictService {

    @Override
    public String getNameById(Long id) {
        String name = SystemConstant.EMPTY_STRING;
        if (id == null) {
            return name;
        }
        Dict dept = getById(id);
        if (dept != null) {
            name = dept.getDictVal();
        }
        return name;
    }

}
