package com.factory.file.application.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.factory.domain.model.aggregates.ResponseBean;
import com.factory.file.domain.model.aggregates.FileRes;
import com.factory.infrastructure.config.file.FileType;
import com.factory.infrastructure.po.file.FileInfo;
import org.springframework.web.multipart.MultipartFile;

public interface FileInfoService extends IService<FileInfo> {

    ResponseBean<FileRes> upload(MultipartFile file, FileType fileType);

    ResponseBean<FileRes> uploadTwo(MultipartFile file);

    ResponseBean<FileRes> getByid(Long id);
}
