package com.factory.auth.application.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.factory.auth.domain.model.vo.res.LoginVo;
import com.factory.domain.model.aggregates.ResponseBean;
import com.factory.infrastructure.po.remote.UserInfo;

public interface UsersService extends IService<UserInfo> {

    ResponseBean<LoginVo> login(String client, String username, String password);
    
    
    ResponseBean<LoginVo> login(String client, Long userId);
}
